clang-tools 10.0.0

Classes | Namespaces
TriviallyDestructibleCheck.h File Reference
`#include "../ClangTidyCheck.h"`
Include dependency graph for TriviallyDestructibleCheck.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tidy::performance::TriviallyDestructibleCheck
| A check that finds classes that would be trivial if not for the defaulted destructors declared out-of-line: struct A: TrivialClass { ~A(); TrivialClass trivial_fields; }; A::~A() = default;. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::performance